org.apache.cassandra.utils

## Interface OutputHandler

- All Known Implementing Classes:
    CqlBulkRecordWriter.NullOutputHandler, OutputHandler.LogOutput, OutputHandler.SystemOutput

      public interface OutputHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `OutputHandler.LogOutput`
    `static class` | `OutputHandler.SystemOutput`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String msg)`
    `void` | `output(java.lang.String msg)`
    `void` | `warn(java.lang.String msg)`
    `void` | `warn(java.lang.String msg, java.lang.Throwable th)`

- - ### Method Detail

    - #### output

          void output(java.lang.String msg)

    - #### debug

          void debug(java.lang.String msg)

    - #### warn

          void warn(java.lang.String msg)

    - #### warn

          void warn(java.lang.String msg,
                    java.lang.Throwable th)

Copyright © 2018 The Apache Software Foundation